org.apache.fop.fonts

## Class DefaultFontConfig.Font

- java.lang.Object
- - org.apache.fop.fonts.DefaultFontConfig.Font

- Enclosing class:
    DefaultFontConfig

      public static final class DefaultFontConfig.Font
      extends java.lang.Object

  Represents a font object within the FOP conf.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAfm()`
    `boolean` | `getEmbedAsType1()`
    `java.lang.String` | `getEmbeddingMode()`
    `java.lang.String` | `getEmbedURI()` Gets the URI of the font to embed.
    `java.lang.String` | `getEncodingMode()`
    `java.lang.String` | `getMetrics()` Gets the String representing the metrics file.
    `java.lang.String` | `getPfm()`
    `boolean` | `getSimulateStyle()`
    `java.lang.String` | `getSubFont()` Gets the sub font within, for example, a TTC.
    `java.util.List<FontTriplet>` | `getTripletList()`
    `boolean` | `getUseSVG()`
    `boolean` | `isAdvanced()`
    `boolean` | `isKerning()` Whether or not to allow kerning of glyphs.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getEncodingMode

          public java.lang.String getEncodingMode()

    - #### getTripletList

          public java.util.List<FontTriplet> getTripletList()

    - #### isKerning

          public boolean isKerning()

      Whether or not to allow kerning of glyphs.
      Returns:
        true to allow glyph kerning

    - #### isAdvanced

          public boolean isAdvanced()

    - #### getMetrics

          public java.lang.String getMetrics()

      Gets the String representing the metrics file.
      Returns:
        the metrics file

    - #### getEmbedURI

          public java.lang.String getEmbedURI()

      Gets the URI of the font to embed.
      Returns:
        the font URI

    - #### getSubFont

          public java.lang.String getSubFont()

      Gets the sub font within, for example, a TTC.
      Returns:
        the sub font name

    - #### getEmbeddingMode

          public java.lang.String getEmbeddingMode()

    - #### getAfm

          public java.lang.String getAfm()

    - #### getPfm

          public java.lang.String getPfm()

    - #### getSimulateStyle

          public boolean getSimulateStyle()

    - #### getEmbedAsType1

          public boolean getEmbedAsType1()

    - #### getUseSVG

          public boolean getUseSVG()

Copyright 1999-2021 The Apache Software Foundation. All Rights Reserved.